#!/bin/bash
#Debug - descomente a linha abaixo
set -x

# Variaveis
PATH_BACKUP="/home/backup/backup_voip"
DATE_PREFIX=$(date +%Y%m%d)
REMOTEDIR=`hostname`
DIRETORIOS="/home/backup/backup_voip/${DATE_PREFIX}"

# Criar a pasta do dia atual
mkdir -p ${PATH_BACKUP}/${DATE_PREFIX}

# Compactar os arquivos do da pasta /etc/asterisk
tar czvf ${PATH_BACKUP}/${DATE_PREFIX}/Asterisk_${DATE_PREFIX}.tar.gz /etc/asterisk/

# Compactar os arquios da pasta /etc/fop2/
tar --exclude='/usr/local/fop2/temp' -czvf ${PATH_BACKUP}/${DATE_PREFIX}/fop2_${DATE_PREFIX}.tar.gz /usr/local/fop2/

# Compactar os scrips do voip e de backup
tar czvf ${PATH_BACKUP}/${DATE_PREFIX}/scripts_${DATE_PREFIX}.tar.gz /usr/local/bin/

# Gerar backup do iptables
iptables-save > ${PATH_BACKUP}/${DATE_PREFIX}/iptables_${DATE_PREFIX}.save

# Copiar rc.local
cp /etc/rc.local ${PATH_BACKUP}/${DATE_PREFIX}/

# Copiar arquivos das interfaces de rede
cp /etc/sysconfig/network-scripts/ifcfg-eth* ${PATH_BACKUP}/${DATE_PREFIX}/

# # Dados do servidor FTP para onde o backup serah enviado
HOST_FTP="ftp.bonamigo.net"
USUARIO_FTP="intertower@bonamigo.net"
SENHA_FTP="01@25458565#04"

# Acessa o FTP e envia os arquivos de backup
ftp -in <<EOF
open $HOST_FTP
user $USUARIO_FTP $SENHA_FTP
bin
cd ${REMOTEDIR}
mkdir ${DATE_PREFIX}
cd ${DATE_PREFIX}
lcd /${DIRETORIOS}
mput *
bye
EOF

# find ${PATH_BACKUP}/* -mtime +30 -exec rm -rf {} \;
